#!/bin/bash

package=openmpi
version=-1.4.3

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXTPARALLELBUILDING ../.. $*

prefix=$GEXTPARALLELBUILDING_INSTALLED

opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version $prefix

# We only compile if necessary, as compilation is quite slow and we don't
# edit these source files
if [[ ! -e "$GEXTPARALLELBUILDING_INSTALLED/lib/libmpi.so.0.0.2" || ! -e "$GEXTPARALLELBUILDING_INSTALLED/bin/opal_wrapper" || ! -e "$GEXTPARALLELBUILDING_INSTALLED/bin/orterun" ]]
  then
    opt_run_make $compile   $package $version
  else
    echo "Open MPI library and binaries already compiled => no need to recompile"
fi

opt_run_make $install   $package $version "install"
opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version






